Package org.eclipse.m2m.atl.dsls.tcs.injector.wrappers

# Class ParserWrapper

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper

Direct Known Subclasses:
  `ParserWrapper`

public abstract class ParserWrapper extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`pack`
`protected TCSRuntime`
`runtime`
`protected int`
`TT_COMMENT`
`protected int`
`TT_NL`
`protected int`
`TT_WS`

## Constructor Summary

Constructors
Constructor
Description
`ParserWrapper()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getEndOffset(Object token)`
`abstract Object`
`getLastToken()`
`abstract String`
`getLocation(Object token)`
`abstract int`
`getStartOffset(Object token)`
`abstract Object`
`parse(int tabSize, String name, String productionRule, Reader in, Map params)`
`abstract void`
`reportError(Exception re)`
`abstract void`
`setCommentsAfter(Object ame_, Object token_)`
`abstract void`
`setCommentsBefore(Object ame, Object token)`
`void`
`setRuntime(TCSRuntime runtime)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TT_NL

protected int TT_NL

### TT_WS

protected int TT_WS

### TT_COMMENT

protected int TT_COMMENT

### pack

protected final String pack

See Also:
  - Constant Field Values

### runtime

protected TCSRuntime runtime

## Constructor Details

### ParserWrapper

public ParserWrapper()

## Method Details

### parse

public abstract Object parse(int tabSize, String name, String productionRule, Reader in, Map params) throws Exception

Throws:
  `Exception`

### reportError

public abstract void reportError(Exception re)

### setCommentsBefore

public abstract void setCommentsBefore(Object ame, Object token)

### setCommentsAfter

public abstract void setCommentsAfter(Object ame_, Object token_)

### getLastToken

public abstract Object getLastToken()

### getLocation

public abstract String getLocation(Object token)

### getStartOffset

public abstract int getStartOffset(Object token)

### getEndOffset

public abstract int getEndOffset(Object token)

### setRuntime

public void setRuntime(TCSRuntime runtime)